Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.roller.presentation.tags
Class LinkTag  view LinkTag download LinkTag.java

java.lang.Object
  extended byjavax.servlet.jsp.tagext.TagSupport
      extended byjavax.servlet.jsp.tagext.BodyTagSupport
          extended byorg.apache.struts.taglib.html.BaseHandlerTag
              extended byorg.apache.struts.taglib.html.LinkTag
                  extended byorg.roller.presentation.tags.LinkTag
All Implemented Interfaces:
javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class LinkTag
extends org.apache.struts.taglib.html.LinkTag

Generates an HTML link. This class adds the parameter feature to the Struts html link tag.
It should be use as follow:

  
    
    
  
  
This will produce the equivalent of
Title: BSquare Description: Bsquare Projects Copyright: Copyright (c) 2001 Company: HubMethods

Version:
$Revision: 1.1 $

Field Summary
(package private)  org.apache.log4j.Category cat
           
private  java.lang.StringBuffer hrefURL
          The full HREF URL
 
Fields inherited from class org.apache.struts.taglib.html.LinkTag
action, anchor, forward, href, indexId, linkName, messages, module, name, page, paramId, paramName, paramProperty, paramScope, property, scope, target, text, transaction, useLocalEncoding
 
Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
accesskey, defaultLocale, doDisabled, doReadonly, indexed, tabindex
 
Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
bodyContent
 
Fields inherited from class javax.servlet.jsp.tagext.TagSupport
id, pageContext
 
Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
EVAL_BODY_BUFFERED, EVAL_BODY_TAG
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
LinkTag()
           
 
Method Summary
 void addRequestParameter(java.lang.String name, java.lang.String value)
          Add a new parameter to the request
 int doEndTag()
          Render the href reference
 int doStartTag()
          Intialize the hyperlink.
protected  java.lang.String hyperlink()
          Return the specified hyperlink, modified as necessary with optional request parameters.
 void release()
          Release any acquired resources.
 
Methods inherited from class org.apache.struts.taglib.html.LinkTag
calculateURL, doAfterBody, getAction, getAnchor, getForward, getHref, getIndexId, getLinkName, getModule, getName, getPage, getParamId, getParamName, getParamProperty, getParamScope, getProperty, getScope, getTarget, getTransaction, isUseLocalEncoding, setAction, setAnchor, setForward, setHref, setIndexId, setLinkName, setModule, setName, setPage, setParamId, setParamName, setParamProperty, setParamScope, setProperty, setScope, setTarget, setTransaction, setUseLocalEncoding
 
Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareName, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey
 
Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
doInitBody, getBodyContent, getPreviousOut, setBodyContent
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface javax.servlet.jsp.tagext.Tag
getParent, setPageContext, setParent
 

Field Detail

cat

org.apache.log4j.Category cat

hrefURL

private java.lang.StringBuffer hrefURL
The full HREF URL

Constructor Detail

LinkTag

public LinkTag()
Method Detail

doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
Intialize the hyperlink.


addRequestParameter

public void addRequestParameter(java.lang.String name,
                                java.lang.String value)
Add a new parameter to the request


doEndTag

public int doEndTag()
             throws javax.servlet.jsp.JspException
Render the href reference


release

public void release()
Release any acquired resources.


hyperlink

protected java.lang.String hyperlink()
                              throws javax.servlet.jsp.JspException
Return the specified hyperlink, modified as necessary with optional request parameters.